org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ProfileTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ProfileTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ProfileTest.Traversals

- Enclosing class:
    ProfileTest

      public static class ProfileTest.Traversals
      extends ProfileTest

  Traversals

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ProfileTest

      `ProfileTest.MockStep, ProfileTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,TraversalMetrics>` | `get_g_V_groupXmX_profile()`
    `Traversal<Vertex,TraversalMetrics>` | `get_g_V_hasLabelXpersonX_pageRank_withXpropertyName_rankX_withXedges_bothEX_rank_profile()`
    `Traversal<Vertex,TraversalMetrics>` | `get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX()`
    `Traversal<Vertex,TraversalMetrics>` | `get_g_V_out_out_profile()`
    `Traversal<Vertex,Vertex>` | `get_g_V_out_out_profileXmetricsX()`
    `Traversal<Vertex,TraversalMetrics>` | `get_g_V_repeatXbothX_timesX3X_profile()`
    `Traversal<Vertex,Vertex>` | `get_g_V_repeatXbothX_timesX3X_profileXmetricsX()`
    `Traversal<Vertex,TraversalMetrics>` | `get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile()`
    `Traversal<Vertex,Vertex>` | `get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX()`
    `Traversal<Vertex,TraversalMetrics>` | `get_g_V_whereXinXcreatedX_count_isX1XX_name_profile()`
    `Traversal<Vertex,String>` | `get_g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ProfileTest

      `afterLoadGraphWith, g_V_groupXmX_profile, g_V_hasLabelXpersonX_pageRank_withXpropertyName_rankX_withXedges_bothEX_rank_profile, g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile, g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX, g_V_repeat_both_profile, g_V_repeat_both_profileXmetricsX, g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile, g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX, g_V_whereXinXcreatedX_count_isX1XX_name_profile, g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX, grateful_V_out_out_profile, grateful_V_out_out_profileXmetricsX, modern_V_out_out_profile, modern_V_out_out_profileXmetricsX, testProfileStrategyCallback, testProfileStrategyCallbackSideEffect`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_out_out_profile

          public Traversal<Vertex,TraversalMetrics> get_g_V_out_out_profile()

      Specified by:
        `get_g_V_out_out_profile` in class `ProfileTest`

    - #### get_g_V_repeatXbothX_timesX3X_profile

          public Traversal<Vertex,TraversalMetrics> get_g_V_repeatXbothX_timesX3X_profile()

      Specified by:
        `get_g_V_repeatXbothX_timesX3X_profile` in class `ProfileTest`

    - #### get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile

          public Traversal<Vertex,TraversalMetrics> get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile()

      Specified by:
        `get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profile` in class `ProfileTest`

    - #### get_g_V_whereXinXcreatedX_count_isX1XX_name_profile

          public Traversal<Vertex,TraversalMetrics> get_g_V_whereXinXcreatedX_count_isX1XX_name_profile()

      Specified by:
        `get_g_V_whereXinXcreatedX_count_isX1XX_name_profile` in class `ProfileTest`

    - #### get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile

          public Traversal<Vertex,TraversalMetrics> get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile()

      Specified by:
        `get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profile` in class `ProfileTest`

    - #### get_g_V_out_out_profileXmetricsX

          public Traversal<Vertex,Vertex> get_g_V_out_out_profileXmetricsX()

      Specified by:
        `get_g_V_out_out_profileXmetricsX` in class `ProfileTest`

    - #### get_g_V_repeatXbothX_timesX3X_profileXmetricsX

          public Traversal<Vertex,Vertex> get_g_V_repeatXbothX_timesX3X_profileXmetricsX()

      Specified by:
        `get_g_V_repeatXbothX_timesX3X_profileXmetricsX` in class `ProfileTest`

    - #### get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX

          public Traversal<Vertex,Vertex> get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX()

      Specified by:
        `get_g_V_sideEffectXThread_sleepX10XX_sideEffectXThread_sleepX5XX_profileXmetricsX` in class `ProfileTest`

    - #### get_g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX

          public Traversal<Vertex,String> get_g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX()

      Specified by:
        `get_g_V_whereXinXcreatedX_count_isX1XX_name_profileXmetricsX` in class `ProfileTest`

    - #### get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX

          public Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX()

      Specified by:
        `get_g_V_matchXa_created_b__b_in_count_isXeqX1XXX_selectXa_bX_profileXmetricsX` in class `ProfileTest`

    - #### get_g_V_hasLabelXpersonX_pageRank_withXpropertyName_rankX_withXedges_bothEX_rank_profile

          public Traversal<Vertex,TraversalMetrics> get_g_V_hasLabelXpersonX_pageRank_withXpropertyName_rankX_withXedges_bothEX_rank_profile()

      Specified by:
        `get_g_V_hasLabelXpersonX_pageRank_withXpropertyName_rankX_withXedges_bothEX_rank_profile` in class `ProfileTest`

    - #### get_g_V_groupXmX_profile

          public Traversal<Vertex,TraversalMetrics> get_g_V_groupXmX_profile()

      Specified by:
        `get_g_V_groupXmX_profile` in class `ProfileTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.